# RSL_fraction_of...

### Synopsis

#include "rsl.h"
float RSL_fraction_of_ray(Ray *r, float lo, float hi, float range);
float RSL_fraction_of_sweep(Sweep *s, float lo, float hi, float range);
float RSL_fraction_of_volume(Volume *v, float lo, float hi, float range);

###

Description

Compute the fraction of the Volume, Sweep, or Ray that contain values between lo and hi out to the range range. This is just a percentage.

### Return value

Upon successful completion, a valid floating point number is returned.

### See also

Author: John H. Merritt